﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace EonaCat.HID
{
    public interface IEnumerator
    {
        bool IsConnected(string devicePath);
        IDevice GetDevice(string devicePath);
        IEnumerable<IDevice> Enumerate();
        IEnumerable<IDevice> Enumerate(string devicePath);
        IEnumerable<IDevice> Enumerate(int vendorId, params int[] productIds);
        IEnumerable<IDevice> Enumerate(int vendorId);
    }
}
